搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Turbo tax; It states it needs an update. I am using 4.0 now !!

  • 2 回覆
  • 22 有這個問題
  • 16 次檢視
  • 最近回覆由 nzvlnr

more options

I go to the Turbo tax trhough my bank and go to start doing my taxes and I get this msg.............

Your browser needs some changes to work with TurboTax

   The browser you are using is incompatible with TurboTax. TurboTax supports the latest versions of Internet Explorer, Firefox, and Safari, which can be downloaded from each company's respective website. Please access TurboTax from one of these supported browsers.

所有回覆 (2)

more options

It is quite frustrating this close to tax day.. anyone get any results on a fix?

more options

I was going through my Banks website to get to turbo tax. I went straight to the turbo tax website and it worked....